uuid: 2947f252-248c-4dee-8ad2-28f6df27d622
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_post
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Post)'
source:
  plugin: d7_node
  node_type: post
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_post/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: body_field_migration_plugin
      source: body
  field_media_file:
    -
      plugin: file_migration_plugin
      source: field_files
  field_media_images:
    -
      plugin: file_migration_plugin
      source: field_images
  field_link:
    -
      plugin: field_link
      source: field_link
  field_link_domain:
    -
      plugin: get
      source: field_link_domain
  field_topics:
    -
      plugin: sub_process
      source: field_topics
      process:
        target_id: tid
  field_region:
    -
      plugin: sub_process
      source: field_region
      process:
        target_id: tid
  field_type:
    -
      plugin: sub_process
      source: field_type
      process:
        target_id: tid
  field_organization_type:
    -
      plugin: sub_process
      source: field_organization_type
      process:
        target_id: tid
  field_posts_organization_type:
    -
      plugin: sub_process
      source: field_posts_organization_type
      process:
        target_id: tid
  field_promote_to_editors:
    -
      plugin: get
      source: field_promote_to_editors
  field_our_poblications:
    -
      plugin: get
      source: field_our_poblications
  field_author_information:
    -
      plugin: get
      source: field_author_information
  field_author:
    -
      plugin: get
      source: field_author
  field_embeded_video:
    -
      plugin: video_field_migration_plugin
      source: field_embeded_video
destination:
  plugin: post_content_migrate
  default_bundle: post
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
